Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -136,5 +136,5 @@
             if new_slab is None:
                 msg = "post data:cannot average , averager is empty"
-                raise ValueError, msg
+                raise (ValueError, msg)
             self.averager = new_slab
         if self.direction == "X":
@@ -152,5 +152,5 @@
         else:
             msg = "post data:no Box Average direction was supplied"
-            raise ValueError, msg
+            raise (ValueError, msg)
         # # Average data2D given Qx or Qy
         box = self.averager(x_min=x_min, x_max=x_max, y_min=y_min, y_max=y_max,
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 2d9526dfda3bdfe3c9159ab7d9db8399b4a00848)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -200,5 +200,5 @@
 
         msg = "1D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise (ValueError, msg)
 
     def create_2d_panel(self, data, group_id):
@@ -218,5 +218,5 @@
             return new_panel
         msg = "2D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise (ValueError, msg)
 
     def update_panel(self, data, panel):
@@ -238,5 +238,5 @@
             msg += " to panel %s\n" % str(panel.window_caption)
             msg += "Please edit %s's units, labels" % str(data.name)
-            raise ValueError, msg
+            raise (ValueError, msg)
         else:
             if panel.group_id not in data.list_group_id:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -175,5 +175,5 @@
             msg += "different %f, %f" % (self.left_line.phi,
                                          self.right_line.phi)
-            raise ValueError, msg
+            raise (ValueError, msg)
         params["Phi"] = self.main_line.theta
         params["Delta_Phi"] = math.fabs(self.left_line.phi)
Index: src/sas/sasgui/guiframe/plugin_base.py
===================================================================
--- src/sas/sasgui/guiframe/plugin_base.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/plugin_base.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -277,5 +277,5 @@
         """
         msg = "%s plugin: does not support import theory" % str(self.sub_menu)
-        raise ValueError, msg
+        raise (ValueError, msg)
 
     def on_set_state_helper(self, event):
Index: src/sas/sasgui/guiframe/proxy.py
===================================================================
--- src/sas/sasgui/guiframe/proxy.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/guiframe/proxy.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -127,5 +127,5 @@
             logger.debug("Trying Direct connection to %s..."%self.url)
             response = urllib2.urlopen(req, timeout=self.timeout)
-        except Exception, e:
+        except (Exception, e):
             logger.debug("Failed!")
             logger.debug(e)
@@ -134,5 +134,5 @@
                 self._set_proxy()
                 response = urllib2.urlopen(req, timeout=self.timeout)
-            except Exception, e:
+            except (Exception, e):
                 logger.debug("Failed!")
                 logger.debug(e)
@@ -144,5 +144,5 @@
                         self._set_proxy(proxy)
                         response = urllib2.urlopen(req, timeout=self.timeout)
-                    except Exception, e:
+                    except (Exception, e):
                         logger.debug("Failed!")
                         logger.debug(e)
Index: src/sas/sasgui/perspectives/calculator/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/__init__.py	(revision 5a405bda2da663894b6b32ab94768a91d60525a4)
+++ src/sas/sasgui/perspectives/calculator/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -2,5 +2,5 @@
 import os
 from distutils.filelist import findall
-from calculator import *
+from .calculator import *
 N_DIR = 12
 def get_data_path(media):
Index: src/sas/sasgui/perspectives/calculator/collimation_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/collimation_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/collimation_editor.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -6,5 +6,5 @@
 from sas.sascalc.dataloader.loader import Loader
 from sas.sascalc.dataloader.data_info import Aperture, Collimation
-from aperture_editor import ApertureDialog
+from .aperture_editor import ApertureDialog
 
 from sas.sasgui.guiframe.utils import check_float
Index: src/sas/sasgui/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/data_editor.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -7,7 +7,7 @@
 from sas.sascalc.dataloader.loader import Loader
 from sas.sascalc.dataloader.data_info import Data2D
-from detector_editor import DetectorDialog
-from collimation_editor import CollimationDialog
-from console import ConsoleDialog
+from .detector_editor import DetectorDialog
+from .collimation_editor import CollimationDialog
+from .console import ConsoleDialog
 
 from sas.sasgui.guiframe.events import StatusEvent
@@ -397,5 +397,5 @@
         if data is None:
             return
-        from sample_editor import SampleDialog
+        from .sample_editor import SampleDialog
         dlg = SampleDialog(parent=self, sample=data.sample)
         dlg.set_manager(self)
@@ -409,5 +409,5 @@
         if data is None:
             return
-        from source_editor import SourceDialog
+        from .source_editor import SourceDialog
         dlg = SourceDialog(parent=self, source=data.source)
         dlg.set_manager(self)
@@ -527,5 +527,5 @@
         try:
             #Load data
-            from load_thread import DataReader
+            from .load_thread import DataReader
             ## If a thread is already started, stop it
             if self.reader is not None and self.reader.isrunning():
@@ -536,5 +536,5 @@
             self.reader.queue()
         except:
-            msg = "Data Editor: %s" % (sys.exc_value)
+            msg = "Data Editor: %s" % (sys.exc_info()[1])
             load_error(msg)
             return
Index: src/sas/sasgui/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/calculator/data_operator.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -202,10 +202,10 @@
         else:
             text = name
-        state_list = self.get_datalist().values()
+        state_list = list(self.get_datalist().values())
         name_list = []
         for state in state_list:
             if state.data is None:
                 theory_list = state.get_theory()
-                theory, _ = theory_list.values()[0]
+                theory, _ = list(theory_list.values())[0]
                 d_name = str(theory.name)
             else:
@@ -397,5 +397,5 @@
             self._set_textctrl_color(self.data1_cbox, 'pink')
             self._set_textctrl_color(self.data2_cbox, 'pink')
-            msg = "DataOperation: %s" % sys.exc_value
+            msg = "DataOperation: %s" % sys.exc_info()[1]
             self.send_warnings(msg, 'error')
             self.output = None
@@ -411,5 +411,5 @@
         operator = self.operator_cbox.GetClientData(pos)
         try:
-            exec "output = data1 %s data2" % operator
+            exec("output = data1 %s data2" % operator)
         except:
             raise
@@ -532,5 +532,5 @@
         self.data2_cbox.SetClientData(pos3, val)
         dnames = []
-        ids = self._data.keys()
+        ids = list(self._data.keys())
         for id in ids:
             if id is not None:
@@ -539,9 +539,9 @@
                 else:
                     theory_list = self._data[id].get_theory()
-                    theory, _ = theory_list.values()[0]
+                    theory, _ = list(theory_list.values())[0]
                     dnames.append(theory.name)
         ind = np.argsort(dnames)
         if len(ind) > 0:
-            val_list = np.array(self._data.values())[ind]
+            val_list = np.array(list(self._data.values()))[ind]
             for datastate in val_list:
                 data = datastate.data
@@ -558,5 +558,5 @@
                 try:
                     theory_list = datastate.get_theory()
-                    for theory, _ in theory_list.values():
+                    for theory, _ in list(theory_list.values()):
                         th_name = theory.name
                         posth1 = self.data1_cbox.Append(str(th_name))
@@ -588,5 +588,5 @@
         self.send_warnings('')
         self.data_namectr.SetBackgroundColour('white')
-        state_list = self.get_datalist().values()
+        state_list = list(self.get_datalist().values())
         name = self.data_namectr.GetValue().strip()
         name_list = []
@@ -594,5 +594,5 @@
             if state.data is None:
                 theory_list = state.get_theory()
-                theory, _ = theory_list.values()[0]
+                theory, _ = list(theory_list.values())[0]
                 d_name = str(theory.name)
             else:
@@ -896,6 +896,6 @@
         list = []
         list = self.graph.returnPlottable()
-        if len(list.keys()) > 0:
-            first_item = list.keys()[0]
+        if len(list(list.keys())) > 0:
+            first_item = list(list.keys())[0]
             if first_item.x != []:
                 from sas.sasgui.plottools.PropertyDialog import Properties
Index: src/sas/sasgui/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/calculator/density_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -364,5 +364,5 @@
         except:
             if self.base is not None:
-                msg = "Density/Volume Calculator: %s" % (sys.exc_value)
+                msg = "Density/Volume Calculator: %s" % (sys.exc_info()[1])
                 wx.PostEvent(self.base, StatusEvent(status=msg))
         if event is not None:
Index: src/sas/sasgui/perspectives/calculator/detector_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/detector_editor.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,3 +1,3 @@
-from __future__ import print_function
+
 
 import wx
@@ -35,5 +35,5 @@
             self.set_values()
         except:
-            print("error", sys.exc_value)
+            print("error", sys.exc_info()[1])
 
     def _define_structure(self):
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -3,5 +3,5 @@
 This module relies on guiframe manager.
 """
-from __future__ import print_function
+
 
 import wx
@@ -228,5 +228,5 @@
         sizer.Add(unit_title, (iy, ix), (1, 1), \
                             wx.EXPAND | wx.ADJUST_MINSIZE, 0)
-        key_list = params.keys()
+        key_list = list(params.keys())
         key_list.sort()
         for param in key_list:
@@ -560,5 +560,5 @@
             if self.parent.parent is None:
                 return
-            msg = "Generic SAS Calculator: %s" % (sys.exc_value)
+            msg = "Generic SAS Calculator: %s" % (sys.exc_info()[1])
             wx.PostEvent(self.parent.parent,
                           StatusEvent(status=msg, type='stop'))
@@ -761,5 +761,5 @@
         # II. Plot selective points in color
         other_color = np.ones(len(pix_symbol), dtype='bool')
-        for key in color_dic.keys():
+        for key in list(color_dic.keys()):
             chosen_color = pix_symbol == key
             if np.any(chosen_color):
@@ -775,5 +775,5 @@
                 # Get atom names not in the list
                 a_names = [symb  for symb in pix_symbol \
-                           if symb not in color_dic.keys()]
+                           if symb not in list(color_dic.keys())]
                 a_name = a_names[0]
                 for name in a_names:
@@ -899,5 +899,5 @@
 
         except:
-            msg = "%s." % sys.exc_value
+            msg = "%s." % sys.exc_info()[1]
             status_type = 'stop'
             self._status_info(msg, status_type)
@@ -1285,5 +1285,5 @@
             else:
                sld_sets[list[0]] = None
-        for key in sld_sets.keys():
+        for key in list(sld_sets.keys()):
             key_low = key.lower()
             if key_low.count('mx') > 0:
@@ -1336,5 +1336,5 @@
                     return
 
-            for key in sets.keys():
+            for key in list(sets.keys()):
                 setattr(omfdata, key, sets[key])
 
@@ -1345,5 +1345,5 @@
             self.sld_data.filename = "Default SLD Profile"
         except:
-            msg = "OMF Panel: %s" % sys.exc_value
+            msg = "OMF Panel: %s" % sys.exc_info()[1]
             infor = 'Error'
             #logger.error(msg)
@@ -1375,5 +1375,5 @@
         step_list = self._get_step_key_list(omfdata)
         for ctr_list in self.nodes:
-            for key in nodes_list.keys():
+            for key in list(nodes_list.keys()):
                 if ctr_list[0] == key:
                     ctr_list[1].SetValue(format_number(nodes_list[key], True))
@@ -1381,5 +1381,5 @@
                     break
         for ctr_list in self.stepsize:
-            for key in step_list.keys():
+            for key in list(step_list.keys()):
                 if ctr_list[0] == key:
                     ctr_list[1].SetValue(format_number(step_list[key], True))
@@ -1442,5 +1442,5 @@
         sld_key_list = self._get_slds_key_list(omfdata)
         # Dic is not sorted
-        key_list = [key for key in sld_key_list.keys()]
+        key_list = [key for key in list(sld_key_list.keys())]
         # Sort here
         key_list.sort()
@@ -1485,5 +1485,5 @@
         ix = 0
         iy = -1
-        for key, value in key_list.iteritems():
+        for key, value in key_list.items():
             iy += 1
             ix = 0
@@ -1521,5 +1521,5 @@
         iy = -1
         #key_list.sort()
-        for key, value in key_list.iteritems():
+        for key, value in key_list.items():
             iy += 1
             ix = 0
@@ -1641,5 +1641,5 @@
         sld_list = self._get_slds_key_list(sld_data)
         for ctr_list in self.slds:
-            for key in sld_list.keys():
+            for key in list(sld_list.keys()):
                 if ctr_list[0] == key:
                     min_val = np.min(sld_list[key])
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 412e9e8b8f844bae61656ffb2a2d0c1c53e6e8de)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,3 +1,3 @@
-from __future__ import print_function
+
 
 import os
Index: src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -14,6 +14,6 @@
 from sas.sasgui.guiframe.panel_base import PanelBase
 from sas.sascalc.calculator.kiessig_calculator import KiessigThicknessCalculator
-from calculator_widgets import OutputTextCtrl
-from calculator_widgets import InputTextCtrl
+from .calculator_widgets import OutputTextCtrl
+from .calculator_widgets import InputTextCtrl
 from sas.sasgui.perspectives.calculator import calculator_widgets as widget
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 23359ccb520c33d89444d0732d752a3bc0226916)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -23,5 +23,5 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-from __future__ import print_function
+
 
 import wx
@@ -790,5 +790,5 @@
             if item.count("_") < 1:
                 try:
-                    exec "float(math.%s)" % item
+                    exec("float(math.%s)" % item)
                     self.math_combo.Append(str(item))
                 except Exception:
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 01cda57b9e14ce69f0153005140f08837b90f28e)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -148,5 +148,5 @@
         # Custom sorting
         source_list = []
-        for key, _ in self.source_mass.iteritems():
+        for key, _ in self.source_mass.items():
             name_source = str(key)
             source_list.append(name_source)
@@ -1082,5 +1082,5 @@
                 msg = "The numbers must be one or two (separated by ',')..."
                 self._status_info(msg, 'stop')
-                raise RuntimeError, msg
+                raise RuntimeError(msg)
 
         return new_string
@@ -1100,5 +1100,5 @@
                 new_string.append(value)
             except:
-                logger.error(sys.exc_value)
+                logger.error(sys.exc_info()[1])
 
         return new_string
@@ -1142,5 +1142,5 @@
                         return out
                 except:
-                    logger.error(sys.exc_value)
+                    logger.error(sys.exc_info()[1])
 
     def _on_xy_coordinate(self, event=None):
@@ -1269,5 +1269,5 @@
             try:
                 basename = os.path.basename(path)
-                if basename not in self.spectrum_dic.keys():
+                if basename not in list(self.spectrum_dic.keys()):
                     self.spectrum_cb.Append(basename)
                 self.spectrum_dic[basename] = self._read_file(path)
@@ -1320,5 +1320,5 @@
                 except:
                     # Skip non-data lines
-                    logger.error(sys.exc_value)
+                    logger.error(sys.exc_info()[1])
 
             return [wavelength, intensity]
Index: src/sas/sasgui/perspectives/calculator/sld_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision fe09e9bb0ad6caa9284d13a5c7dfdfc420d0c28b)
+++ src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -366,5 +366,5 @@
         if len(myformula.atoms) != 1:
             return
-        element = myformula.atoms.keys()[0]
+        element = list(myformula.atoms.keys())[0]
         energy = xray_energy(element.K_alpha)
 
@@ -450,5 +450,5 @@
         if len(element_formula.atoms) != 1:
             return
-        element = element_formula.atoms.keys()[0]
+        element = list(element_formula.atoms.keys())[0]
         energy = xray_energy(element.K_alpha)
         atom = molecule_formula.atoms
@@ -507,5 +507,5 @@
         except:
             if self.base is not None:
-                msg = "SLD Calculator: %s" % (sys.exc_value)
+                msg = "SLD Calculator: %s" % (sys.exc_info()[1])
                 wx.PostEvent(self.base, StatusEvent(status=msg))
         if event is not None:
Index: src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -17,6 +17,6 @@
 from sas.sasgui.guiframe.events import StatusEvent
 from sas.sascalc.calculator.slit_length_calculator import SlitlengthCalculator
-from calculator_widgets import OutputTextCtrl
-from calculator_widgets import InterActiveOutputTextCtrl
+from .calculator_widgets import OutputTextCtrl
+from .calculator_widgets import InterActiveOutputTextCtrl
 from sas.sasgui.perspectives.calculator import calculator_widgets as widget
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
@@ -210,5 +210,5 @@
         try:
             #Load data
-            from load_thread import DataReader
+            from .load_thread import DataReader
             ## If a thread is already started, stop it
             if self.reader is not None and self.reader.isrunning():
@@ -226,5 +226,5 @@
             if self.parent.parent is None:
                 return
-            msg = "Slit Length Calculator: %s" % (sys.exc_value)
+            msg = "Slit Length Calculator: %s" % (sys.exc_info()[1])
             wx.PostEvent(self.parent.parent,
                           StatusEvent(status=msg, type='stop'))
@@ -262,5 +262,5 @@
             if x == [] or  x is None or y == [] or y is None:
                 msg = "The current data is empty please check x and y"
-                raise ValueError, msg
+                raise ValueError(msg)
             slit_length_calculator = SlitlengthCalculator()
             slit_length_calculator.set_data(x=x, y=y)
@@ -269,5 +269,5 @@
             if self.parent.parent is None:
                 return
-            msg = "Slit Size Calculator: %s" % (sys.exc_value)
+            msg = "Slit Size Calculator: %s" % (sys.exc_info()[1])
             wx.PostEvent(self.parent.parent,
                           StatusEvent(status=msg, type='stop'))
Index: src/sas/sasgui/perspectives/corfunc/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/__init__.py	(revision c23f303448cfceb9e5a58e5d7da46258cdb3cbd8)
+++ src/sas/sasgui/perspectives/corfunc/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "Corfunc Plug-In 0.1"
-from corfunc import *
+from .corfunc import *
Index: src/sas/sasgui/perspectives/corfunc/corfunc.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision 9b90bf84a52cb67272ccbed5bac69156a6ca6bc3)
+++ src/sas/sasgui/perspectives/corfunc/corfunc.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -18,5 +18,5 @@
 from sas.sascalc.dataloader.loader import Loader
 import sas.sascalc.dataloader
-from plot_labels import *
+from .plot_labels import *
 
 logger = logging.getLogger(__name__)
@@ -149,5 +149,5 @@
                     self.corfunc_panel.set_data(data)
                 except:
-                    msg = "Corfunc set_data: " + str(sys.exc_value)
+                    msg = "Corfunc set_data: " + str(sys.exc_info()[1])
                     wx.PostEvent(self.parent, StatusEvent(status=msg,
                         info='error'))
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 2a399cab29be825175279ecb215dd7ac22191496)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -17,5 +17,5 @@
 from sas.sascalc.corfunc.corfunc_calculator import CorfuncCalculator
 from sas.sasgui.guiframe.documentation_window import DocumentationWindow
-from plot_labels import *
+from .plot_labels import *
 
 OUTPUT_STRINGS = {
@@ -393,8 +393,8 @@
         if params is None:
             # Reset outputs
-            for output in self._extrapolation_outputs.values():
+            for output in list(self._extrapolation_outputs.values()):
                 output.SetValue('-')
             return
-        for key, value in params.iteritems():
+        for key, value in params.items():
             output = self._extrapolation_outputs[key]
             rounded = self._round_sig_figs(value, 6)
@@ -411,5 +411,5 @@
         if params is None:
             if not reset: error = True
-            for output in self._output_boxes.values():
+            for output in list(self._output_boxes.values()):
                 output.SetValue('-')
         else:
@@ -417,5 +417,5 @@
                 # Not all parameters were calculated
                 error = True
-            for key, value in params.iteritems():
+            for key, value in params.items():
                 rounded = self._round_sig_figs(value, 6)
                 self._output_boxes[key].SetValue(rounded)
@@ -656,5 +656,5 @@
         self._extrapolation_outputs['K'] = k_output
 
-        sigma_label = wx.StaticText(self, -1, u'\u03C3: ')
+        sigma_label = wx.StaticText(self, -1, '\u03C3: ')
         params_sizer.Add(sigma_label, (2, 2), (1, 1), wx.LEFT | wx.EXPAND, 15)
 
@@ -713,5 +713,5 @@
         self._output_boxes = dict()
         i = 0
-        for key, value in OUTPUT_STRINGS.iteritems():
+        for key, value in OUTPUT_STRINGS.items():
             # Create a label and a text box for each poperty
             label = wx.StaticText(self, -1, value)
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 1fa4f7368e26981352615cbfb337a581ed97031f)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -74,5 +74,5 @@
         if self.outputs != {} and self.outputs is not None:
             state += "\nOutputs:\n"
-            for key, value in self.outputs.iteritems():
+            for key, value in self.outputs.items():
                 name = output_list[key][1]
                 state += "{}: {}\n".format(name, str(value))
@@ -158,5 +158,5 @@
         state = new_doc.createElement("state")
         top_element.appendChild(state)
-        for name, value in self.saved_state.iteritems():
+        for name, value in self.saved_state.items():
             element = new_doc.createElement(name)
             element.appendChild(new_doc.createTextNode(str(value)))
@@ -181,5 +181,5 @@
             output = new_doc.createElement("output")
             top_element.appendChild(output)
-            for key, value in self.outputs.iteritems():
+            for key, value in self.outputs.items():
                 element = new_doc.createElement(key)
                 element.appendChild(new_doc.createTextNode(str(value)))
@@ -216,5 +216,5 @@
                 except:
                     msg = ("CorfuncState.fromXML: Could not read timestamp",
-                        "\n{}").format(sys.exc_value)
+                        "\n{}").format(sys.exc_info()[1])
                     logger.error(msg)
 
@@ -222,5 +222,5 @@
             entry = get_content('ns:state', node)
             if entry is not None:
-                for item in DEFAULT_STATE.iterkeys():
+                for item in DEFAULT_STATE.keys():
                     input_field = get_content("ns:{}".format(item), entry)
                     if input_field is not None:
@@ -283,5 +283,5 @@
             root, ext = os.path.splitext(basename)
             if not ext.lower() in self.ext:
-                raise IOError, "{} is not a supported file type".format(ext)
+                raise IOError("{} is not a supported file type".format(ext))
             tree = etree.parse(path, parser=etree.ETCompatXMLParser())
             root = tree.getroot()
@@ -299,5 +299,5 @@
             # File not found
             msg = "{} is not a valid file path or doesn't exist".format(path)
-            raise IOError, msg
+            raise IOError(msg)
 
         if len(output) == 0:
@@ -323,5 +323,5 @@
             msg = ("The CanSAS writer expects a Data1D instance. {} was "
                 "provided").format(datainfo.__class__.__name__)
-            raise RuntimeError, msg
+            raise RuntimeError(msg)
         if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
@@ -360,5 +360,5 @@
         except:
             msg = "XML document does not contain CorfuncState information\n{}"
-            msg.format(sys.exc_value)
+            msg.format(sys.exc_info()[1])
             logger.info(msg)
         return state
Index: src/sas/sasgui/perspectives/file_converter/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/file_converter/__init__.py	(revision 77d92cd296d0af12557c509f0c48df88ef5f59e9)
+++ src/sas/sasgui/perspectives/file_converter/__init__.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -1,2 +1,2 @@
 PLUGIN_ID = "File-Converter Plug-In 1.0"
-from file_converter import *
+from .file_converter import *
